Page 1 of 2

Updating to 3.1.8 DB Error

Posted: Fri Mar 18, 2016 2:46 am
by PlanetMelb
Hello

I have tried to perform my first upgrade for many years. I previously had 3.0.6. I backed up my config file and uploaded all new files onto the server then uploaded my original config file. I am getting the following error message:
General Error

SQL ERROR [ mysql4 ]

Table 'wines_db.phpbb_ext' doesn't exist [1146]

An sql error occurred while fetching this page. Please contact an administrator if this problem persists.
The DB name is indeed wines_db but I fear the config file is very old and 3.1.8 requires one in a different format?

Any help appreciated

Re: Updating to 3.1.8 DB Error

Posted: Fri Mar 18, 2016 2:53 am
by 3Di
Did you run the install/database_update.php?

Re: Updating to 3.1.8 DB Error

Posted: Fri Mar 18, 2016 3:08 am
by PlanetMelb
When I try and run install/database_update.php I get:
Please read: INSTALL.html before attempting to update.

Re: Updating to 3.1.8 DB Error

Posted: Fri Mar 18, 2016 3:15 am
by 3Di
PlanetMelb wrote:When I try and run install/database_update.php I get:
Please read: INSTALL.html before attempting to update.
Could you please run the tool linked into my signature? right install

Thx.

Re: Updating to 3.1.8 DB Error

Posted: Fri Mar 18, 2016 3:44 am
by PlanetMelb
Thanks for your help

I copied your code and saved it to a wordpad file called right_install.php then uploaded it to the forum root and get the same message as above i.e.
General Error
SQL ERROR [ mysql4 ]

Table 'wines_db.phpbb_ext' doesn't exist [1146]

An sql error occurred while fetching this page. Please contact an administrator if this problem persists.

Re: Updating to 3.1.8 DB Error

Posted: Fri Mar 18, 2016 3:48 am
by 3Di
Before to perform the update to 3.1.x, did you got rid of all of your MODs if any?

Re: Updating to 3.1.8 DB Error

Posted: Fri Mar 18, 2016 3:49 am
by PlanetMelb
I only had a couple which I was happy to lose so I just uploaded the latest version files

Re: Updating to 3.1.8 DB Error

Posted: Fri Mar 18, 2016 3:50 am
by Tarantino
Check the permissions of store, files and cache folders they need to be 777 or else I guess that error appears.
Im pretty sure is a permission issuse, because I already solved that some days ago.

Re: Updating to 3.1.8 DB Error

Posted: Fri Mar 18, 2016 3:50 am
by Tarantino
Check the permissions of store, files and cache folders they need to be 777 or else I guess that error appears.
Im pretty sure is a permission issuse, because I already solved that some days ago.

Re: Updating to 3.1.8 DB Error

Posted: Fri Mar 18, 2016 3:58 am
by 3Di
PlanetMelb wrote:I only had a couple which I was happy to lose so I just uploaded the latest version files
In order to check the right CHMOD permissions on those folders copy and paste this code to a file
named chmod.php, save it to your board's root and navigate to it.
ie: your_boards_root/chmod.php

That's what I get
chmod_phpbb.png
chmod_phpbb.png (7.13 KiB) Viewed 406 times

Code: Select all

<?php
/**
*
* @package phpBB
* @copyright (c) 2016 3Di (Marco T.)
* @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
*
*/
define('IN_PHPBB', true);
$phpbb_root_path = (defined('PHPBB_ROOT_PATH')) ? PHPBB_ROOT_PATH : './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);
include($phpbb_root_path . 'common.' . $phpEx);

// Start session management
$user->session_begin();
$auth->acl($user->data);

    /* Let's check some folders' perms */
    $cache_dir = ($phpbb_root_path . 'cache');
    $perms = substr(sprintf('%o', fileperms($cache_dir)), -4);
    echo '<br /><font style="color:purple">Cache folder chmod permissions are set to: </font><font style="color:blue">' . $perms . '</font>';

    $store_dir = ($phpbb_root_path . 'store');
    $perms = substr(sprintf('%o', fileperms($store_dir)), -4);
    echo '<br /><font style="color:purple">Store folder chmod permissions are set to: </font><font style="color:blue">' . $perms . '</font>';

    $files_dir = ($phpbb_root_path . 'files');
    $perms = substr(sprintf('%o', fileperms($files_dir)), -4);
    echo '<br /><font style="color:purple">Files folder chmod permissions are set to: </font><font style="color:blue">' . $perms . '</font>';

    $av_up_dir = ($phpbb_root_path . 'images/avatars/upload');
    $perms = substr(sprintf('%o', fileperms($av_up_dir)), -4);
    echo '<br /><font style="color:purple">Images/avatar/upload folder chmod permissions are set to: </font><font style="color:blue">' . $perms . '</font>';

 
show us the results then, pls.

Re: Updating to 3.1.8 DB Error

Posted: Fri Mar 18, 2016 4:24 am
by PlanetMelb
Even when I point to http://forum.winestar.com.au/chmod.php I get:

(I set this file to 777)
General Error
SQL ERROR [ mysql4 ]
Table 'wines_db.phpbb_ext' doesn't exist [1146]
An sql error occurred while fetching this page. Please contact an administrator if this problem persists.

Re: Updating to 3.1.8 DB Error

Posted: Fri Mar 18, 2016 4:36 am
by 3Di
PlanetMelb wrote:Even when I point to http://forum.winestar.com.au/chmod.php I get:

(I set this file to 777)
General Error
SQL ERROR [ mysql4 ]
Table 'wines_db.phpbb_ext' doesn't exist [1146]
An sql error occurred while fetching this page. Please contact an administrator if this problem persists.
You are running on a free hoster that shares the DB with multiple users, I guess.

Re: Updating to 3.1.8 DB Error

Posted: Fri Mar 18, 2016 4:51 am
by 3Di
edit: that's your host. I see.

... wondering ...

Re: Updating to 3.1.8 DB Error

Posted: Fri Mar 18, 2016 4:52 am
by PlanetMelb
I will contact them and see if they can shed any light

Re: Updating to 3.1.8 DB Error

Posted: Fri Mar 18, 2016 4:57 am
by 3Di
PlanetMelb wrote:I will contact them and see if they can shed any light
run database_update.php again, just to be sure.